summaryrefslogtreecommitdiffstats
path: root/.local/bin/statusbar/mpdupdate
diff options
context:
space:
mode:
Diffstat (limited to '.local/bin/statusbar/mpdupdate')
-rwxr-xr-x.local/bin/statusbar/mpdupdate8
1 files changed, 8 insertions, 0 deletions
diff --git a/.local/bin/statusbar/mpdupdate b/.local/bin/statusbar/mpdupdate
new file mode 100755
index 0000000..afe11bb
--- /dev/null
+++ b/.local/bin/statusbar/mpdupdate
@@ -0,0 +1,8 @@
+#!/bin/sh
+# Whenever the mpd state changes, update the mpd i3 module.
+kill -0 "$(cat /tmp/mpdupdate)" 2>/dev/null && exit || echo $$ > /tmp/mpdupdate
+
+sleep 5 && while : ; do
+ pkill -RTMIN+11 i3blocks
+ mpc idle >/dev/null || exit
+done